%define upstream_name	 IPC-Run
%define upstream_version 0.92

%define _requires_exceptions Win32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Pty) >= 1.80.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
chmod 755 eg/*
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' eg/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/IPC
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.920.0-3.mga4
+ Revision: 512305
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.920.0-2.mga3
+ Revision: 368642
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.920.0-1.mga3
+ Revision: 286202
- update to 0.92

* Thu Feb 23 2012 jquelin <jquelin> 0.910.0-1.mga2
+ Revision: 212967
- update to 0.91

* Fri Jul 08 2011 jquelin <jquelin> 0.900.0-1.mga2
+ Revision: 120411
- update to 0.90

* Fri Jan 21 2011 jquelin <jquelin> 0.890.0-2.mga1
+ Revision: 29379
- rebuild
- imported package perl-IPC-Run


* Thu Apr 01 2010 Jérôme Quelin <jquelin@mandriva.org> 0.890.0-1mdv2010.1
+ Revision: 530664
- update to 0.89

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 0.880.0-1mdv2010.1
+ Revision: 530265
- update to 0.88

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2010.1
+ Revision: 529781
- update to 0.87

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.1
+ Revision: 527734
- update to 0.86

* Tue Mar 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.1
+ Revision: 526815
- update to 0.85

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.840.0-1mdv2010.0
+ Revision: 402562
- update to 0.56

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2010.0
+ Revision: 396221
- update to new version 0.84

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 394084
- update to new version 0.83

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.82-1mdv2010.0
+ Revision: 372503
- update to 0.82

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.80-3mdv2009.1
+ Revision: 351919
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.80-2mdv2009.0
+ Revision: 223803
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu May 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.80-1mdk
- New release 0.80
- better source URL

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.79-2mdk
- %%mkrel
- fix directory ownership
- spec cleanup
- correct sample scripts perms

* Thu Jan 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.79-1mdk
- 0.79
- Fix description and URL
- Don't include arch-specific subdirectories
- Add examples in the documentation

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-2mdk 
- rebuild

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.78-1mdk
- new version
- rpmbuildupdate aware
- make test

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.75-4mdk
- fixed dir ownership (distlint)

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.75-3mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.75-2mdk
- rebuild for new auto{prov,req}

